Accounting/Cost centers/{costCenter}
Update cost center
Updates an existing cost center with the provided data.
AuthorizationBearer <token>
In: header
Path Parameters
costCenterstring
code?string
Cost center code (max 15 chars). Required on creation.
Length
length <= 15namestring
Cost center name.
active?boolean
Whether the cost center is active.
start_date?string | null
Validity start date.
Format
dateend_date?string | null
Validity end date (must be >= start_date).
Format
dateResponse Body
curl -X PUT "https://og-tenant1.test:8003/api/v2/accounting/cost-centers/string" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'{
"data": {
"code": "string",
"name": "string",
"active": true,
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}